Method: projects.locations.secrets.versions.get

Gets metadata for a SecretVersion.

projects/*/secrets/*/versions/latest is an alias to the most recently created SecretVersion.

HTTP request


GET https://secretmanager.s3nsapis.fr/v1/{name=projects/*/locations/*/secrets/*/versions/*}

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The resource name of the SecretVersion in the format projects/*/secrets/*/versions/* or projects/*/locations/*/secrets/*/versions/*.

projects/*/secrets/*/versions/latest or projects/*/locations/*/secrets/*/versions/latest is an alias to the most recently created SecretVersion.

Authorization requires the following IAM permission on the specified resource name:

  • secretmanager.versions.get

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of SecretVersion.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.